Bug 1205177 - vdsm now Exclusive for x86_64 and ppc64 in Fedora
Summary: vdsm now Exclusive for x86_64 and ppc64 in Fedora
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vdsm
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yaniv Bronhaim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker ZedoraTracker Aarch64Tracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-03-24 12:03 UTC by Dan Horák
Modified: 2016-07-19 13:10 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-19 13:10:46 UTC


Attachments (Terms of Use)

Description Dan Horák 2015-03-24 12:03:04 UTC
After the recent updates to pre-4.17 version vdsm is now Exclusive for x86_64 and ppc64 in Fedora. It doesn't look as an intention to me, but seems to be related to the logic how the Fedora koji build is identified in the spec file.

Version-Release number of selected component (if applicable):
vdsm-4.17.0-0.1.git8f8b927.fc22

Comment 1 Dan Horák 2015-03-24 12:21:38 UTC
one thing is koji_build vs fedora_koji_build, but I haven't been successful yet with finding the right combination :-)

Comment 2 Rafael Fonseca 2015-08-13 15:36:27 UTC
Any updates on this?

Comment 3 Yaniv Bronhaim 2015-10-21 13:11:43 UTC
fedora_koji_build is a global that we set while compiling with fedpkg scripts. I don't see any koji_build variable.. not sure what you are referring to. 

The build is non-arch depended and I'll publish new 4.17.10 build soon to all dists - please elaborate what is the issue you refer too. I'm not sure if I understood correctly.

Comment 4 Dan Horák 2015-10-21 16:28:50 UTC
(In reply to Yaniv Bronhaim from comment #3)
> fedora_koji_build is a global that we set while compiling with fedpkg
> scripts. I don't see any koji_build variable.. not sure what you are
> referring to. 

There seemed to be an inconsistency in the defines, which is now fixed if I see correctly. It was causing vdsm to be arch specific in Fedora. But it is some time I looked into it.

> The build is non-arch depended and I'll publish new 4.17.10 build soon to
> all dists - please elaborate what is the issue you refer too. I'm not sure
> if I understood correctly.

Then everything should be solved, thanks.

Although a scratch build from the master branch failed in the test-suite when I sent it to s390 koji - http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1967779

Comment 5 Yaniv Bronhaim 2015-10-25 15:06:22 UTC
Yes this is known - I'm working on mocking the tests (https://gerrit.ovirt.org/#/c/47577/) and will ask you to recheck it once its merged. Thanks

Comment 6 Fedora End Of Life 2016-07-19 13:10:46 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.